<?xml version="1.0" encoding="ISO-8859-1"?>
<ncl id="main" xmlns="http://www.ncl.org.br/NCL3.0/EDTVProfile">
	<head>
<regionBase>
	<region id="r1" left="10" top="10" height="20" width="20"/>
	<region id="r2" left="50" top="10" height="20" width="20"/>
	<region id="r3" left="100" top="10" height="20" width="20"/>
</regionBase>
<descriptorBase>
	<descriptor id="d1" region="r1" focusIndex="uno" moveRight="dos"/>
	<descriptor id="d2" region="r2" focusIndex="dos" moveLeft="uno" moveRight="tres"/>	
	<descriptor id="d3" region="r3" focusIndex="tres" moveLeft="dos"/>
</descriptorBase>

<connectorBase>
	<causalConnector id="onKeySelectionStopSetStart">
		<connectorParam name="keyCode"/>
		<connectorParam name="var"/>
		<connectorParam name="focus"/>
		
		<compoundCondition operator="and">
			<simpleCondition role="onSelection"  key="$keyCode"/>
			<assessmentStatement comparator="eq">
				<attributeAssessment role="ruleFocus" eventType="attribution"/>
				<valueAssessment value="$focus"/>
			</assessmentStatement>
		</compoundCondition>
			
		<compoundAction operator="seq">
			<simpleAction role="stop" />
			<simpleAction role="set" value="$var" />
			<simpleAction role="start" />
		</compoundAction>
		
	</causalConnector>
</connectorBase>
	</head>


	<body>
		
<port id="p1" component="media1"/>
<port id="p2" component="media2"/>
<port id="p3" component="media3"/>  

<media id="settings" type="application/x-ginga-settings" >
	<property name="service.currentFocus" />
</media>

<media id="media1" src="red.png" descriptor="d1">
	<property name="src"/>
</media>

<media id="media2" src="green.png" descriptor="d2">
	<property name="src"/>
</media>

<media id="media3" src="yellow.png" descriptor="d3">
	<property name="src"/>
</media>

<link xconnector="onKeySelectionStopSetStart">
	<bind role="onSelection" component="media1" >
		<bindParam name="keyCode" value="BLUE"/>
	</bind>
	<bind role="ruleFocus" component="settings" interface="service.currentFocus">
		<bindParam name="focus" value="uno"/>
	</bind>
	<bind role="stop" component="media1" />
	<bind role="set" component="media1"  interface="src">
		<bindParam name="var" value="blue.png"/>
	</bind>
	<bind role="start" component="media1" />
</link>


<link xconnector="onKeySelectionStopSetStart">
	<bind role="onSelection" component="media2" >
		<bindParam name="keyCode" value="BLUE"/>
	</bind>
	<bind role="ruleFocus" component="settings" interface="service.currentFocus">
		<bindParam name="focus" value="dos"/>
	</bind>	
	<bind role="stop" component="media2" />
	<bind role="set" component="media2" interface="src">
		<bindParam name="var" value="blue.png" />
	</bind>
	<bind role="start" component="media2" />
</link>

<link xconnector="onKeySelectionStopSetStart">
	<bind role="onSelection" component="media3" >
		<bindParam name="keyCode" value="BLUE"/>
	</bind>
	<bind role="ruleFocus" component="settings" interface="service.currentFocus">
		<bindParam name="focus" value="tres"/>
	</bind>	
	<bind role="stop" component="media3" />
	<bind role="set" component="media3" interface="src">
		<bindParam name="var" value="blue.png" />
	</bind>
	<bind role="start" component="media3" />
</link>

	</body>
</ncl>